package com.zswc.creativity.activity

import com.zswc.creativity.R
import com.zswc.creativity.adapter.MsgAdapter
import com.zswc.creativity.base.MBRActivity
import com.zswc.creativity.databinding.ActivityMsgBinding
import com.zswc.creativity.vmodel.MsgVModel

class MsgActivity : MBRActivity<MsgVModel, MsgAdapter, ActivityMsgBinding>() {



    override fun vmClass(): Class<MsgVModel> {
        return MsgVModel::class.java
    }
    override fun binding(): ActivityMsgBinding {
        return ActivityMsgBinding.inflate(layoutInflater)
    }

    override fun initAdapter(): MsgAdapter {
        return MsgAdapter(vm)
    }


    override fun title(): String? {
        return getString(R.string.msg)
    }

    override val isRxbus: Boolean
        get() = true

}
